|  | Home · All Classes · Modules

# QGraphicsSceneHoverEvent Class Reference
[QtGui module]

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework. More...

Inherits QGraphicsSceneEvent.

### Methods

- QPointF lastPos (self)
- QPointF lastScenePos (self)
- QPoint lastScreenPos (self)
- Qt.KeyboardModifiers modifiers (self)
- QPointF pos (self)
- QPointF scenePos (self)
- QPoint screenPos (self)

## Detailed Description

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework.

When a QGraphicsView receives a QHoverEvent event, it translates it into QGraphicsSceneHoverEvent. The event is then forwarded to the QGraphicsScene associated with the view.

See also QGraphicsSceneMouseEvent, QGraphicsSceneContextMenuEvent, QGraphicsSceneWheelEvent, and QHoverEvent.

## Method Documentation

### QPointF QGraphicsSceneHoverEvent.lastPos (self)

Returns the last recorded mouse cursor position in item coordinates.

This function was introduced in Qt 4.4.

See also lastScenePos(), lastScreenPos(), and pos().

### QPointF QGraphicsSceneHoverEvent.lastScenePos (self)

Returns the last recorded, the scene coordinates of the previous mouse or hover event received by the view, that created the event mouse cursor position in scene coordinates.

This function was introduced in Qt 4.4.

See also lastPos(), lastScreenPos(), and scenePos().

### QPoint QGraphicsSceneHoverEvent.lastScreenPos (self)

Returns the last recorded mouse cursor position in screen coordinates. The last recorded position is the position of the previous mouse or hover event received by the view that created the event.

This function was introduced in Qt 4.4.

See also lastPos(), lastScenePos(), and screenPos().

### Qt.KeyboardModifiers QGraphicsSceneHoverEvent.modifiers (self)

Returns the keyboard modifiers at the moment the hover event was sent.

This function was introduced in Qt 4.4.

### QPointF QGraphicsSceneHoverEvent.pos (self)

Returns the position of the mouse cursor in item coordinates at the moment the hover event was sent.

See also scenePos() and screenPos().

### QPointF QGraphicsSceneHoverEvent.scenePos (self)

Returns the position of the mouse cursor in scene coordinates at the moment the hover event was sent.

See also pos() and screenPos().

### QPoint QGraphicsSceneHoverEvent.screenPos (self)

Returns the position of the mouse cursor in screen coordinates at the moment the hover event was sent.

See also pos() and scenePos().